org.apache.cassandra.metrics

## Interface CassandraMetricsRegistry.JmxHistogramMBean

All Superinterfaces:
  CassandraMetricsRegistry.MetricMBean

Enclosing class:
  CassandraMetricsRegistry

    public static interface CassandraMetricsRegistry.JmxHistogramMBean
    extends CassandraMetricsRegistry.MetricMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `get50thPercentile()`
`double` `get75thPercentile()`
`double` `get95thPercentile()`
`double` `get98thPercentile()`
`double` `get999thPercentile()`
`double` `get99thPercentile()`
`long` `getCount()`
`long` `getMax()`
`double` `getMean()`
`long` `getMin()`
`double` `getStdDev()`
`long[]` `values()`

### Methods inherited from interface org.apache.cassandra.metrics.CassandraMetricsRegistry.MetricMBean

`objectName`

### Method Detail

#### getCount

    long getCount()

#### getMin

    long getMin()

#### getMax

    long getMax()

#### getMean

    double getMean()

#### getStdDev

    double getStdDev()

#### get50thPercentile

    double get50thPercentile()

#### get75thPercentile

    double get75thPercentile()

#### get95thPercentile

    double get95thPercentile()

#### get98thPercentile

    double get98thPercentile()

#### get99thPercentile

    double get99thPercentile()

#### get999thPercentile

    double get999thPercentile()

#### values

    long[] values()